View Issue Details

IDProjectCategoryView StatusLast Update
0003338SymmetricDSImprovementpublic2018-02-14 15:08
ReportermmichalekAssigned Tommichalek 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.8.32 
Target Version3.8.33Fixed in Version3.8.33 
Summary0003338: Upgrade 3rd Party Libraries to address security concerns
Description[These changes will be part of 3.8.33 and 3.9.0]
Upgraded the following libraries to address various security concerns:

org.apache.httpcomponents:httpclient:4.5.4
com.fasterxml.jackson.core:jackson-databind:2.8.10
org.bouncycastle:bcprov-jdk15on:1.58
org.springframework:spring-jdbc:4.3.13.RELEASE
commons-collections:commons-collections:3.2.2
commons-fileupload:commons-fileupload:1.3.3
commons-beanutils:commons-beanutils:1.9.3

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 22a9d891

2017-12-12 15:42:12

mmichalek

Details Diff
0003338: Upgrade 3rd Party Libraries to avoid security concerns
0003338
mod - symmetric-assemble/common.gradle Diff File
mod - symmetric-client/build.gradle Diff File
mod - symmetric-core/build.gradle Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/SqlPersistenceManager.java Diff File
mod - symmetric-server/build.gradle Diff File
mod - symmetric-util/build.gradle Diff File
mod - symmetric-wrapper/build.gradle Diff File

SymmetricDS: 3.9 efb556fa

2017-12-12 16:00:00

mmichalek

Details Diff
0003338: Upgrade 3rd Party Libraries to avoid security concerns
0003338
mod - symmetric-client/build.gradle Diff File

SymmetricDS: 3.8 05e197ff

2017-12-12 16:32:11

mmichalek

Details Diff
0003338: Upgrade 3rd Party Libraries to avoid security concerns
0003338
mod - symmetric-assemble/build.gradle Diff File
mod - symmetric-assemble/common.gradle Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/SqlPersistenceManager.java Diff File

Issue History

Date Modified Username Field Change
2017-12-12 15:41 mmichalek New Issue
2017-12-12 15:41 mmichalek Status new => assigned
2017-12-12 15:41 mmichalek Assigned To => mmichalek
2017-12-12 16:32 mmichalek Description Updated View Revisions
2017-12-12 17:00 mmichalek Changeset attached => SymmetricDS 3.8 05e197ff
2017-12-13 10:13 mmichalek Summary Upgrade 3rd Party Libraries to avoid security concerns => Upgrade 3rd Party Libraries to address security concerns
2017-12-13 10:13 mmichalek Product Version 3.9.0 => 3.8.32
2017-12-13 10:13 mmichalek Fixed in Version => 3.8.33
2017-12-13 10:13 mmichalek Target Version 3.9.0 => 3.8.33
2017-12-13 10:13 mmichalek Status assigned => resolved
2017-12-13 10:13 mmichalek Resolution open => fixed
2017-12-13 17:23 mmichalek Status resolved => closed
2018-02-14 15:08 mmichalek Changeset attached => SymmetricDS 3.9 efb556fa
2018-02-14 15:08 mmichalek Changeset attached => SymmetricDS 3.9 22a9d891